APG PayAPG Paydocs

Reporting

Delete report space

DELETE/report-spaces/{reportSpaceId}
Request
DELETEhttps://api.tst.au.apgpay.dev/report-spaces/{reportSpaceId}
curl -X DELETE https://api.tst.au.apgpay.dev/report-spaces/{reportSpaceId} \
  -H "Authorization: Bearer $API_KEY"

Delete a space the caller may change, moving what it held up to its parent, or from a private space at the top to the caller's default space. A shared space at the top and the default space must be empty, and the System space cannot be deleted.

Permissions

Required permission
reports:query

Requires the `query` action on `reports` for the supplied runtime context

Path parameters

reportSpaceIdstring
required

Responses

No response body.

Error responses